File koan-no-xend.dif of Package cobbler.8146

Index: cobbler-2.6.6/koan/app.py
===================================================================
--- cobbler-2.6.6.orig/koan/app.py
+++ cobbler-2.6.6/koan/app.py
@@ -29,6 +29,7 @@ import os
 import traceback
 import tempfile
 import shlex
+import logging
 
 ANCIENT_PYTHON = 0
 try:
@@ -620,12 +621,13 @@ class Koan:
                 if uname_str < "2.6.37" and uname_str.find("xen") == -1:
                    raise InfoException("kernel >= 2.6.37 or kernel-xen needs to be in use")
                 # xend installed?
-                if not os.path.exists("/usr/sbin/xend"):
-                   raise InfoException("xen package needs to be installed")
-                # xend running?
-                rc = sub_process.call("/usr/sbin/xend status", stderr=None, stdout=None, shell=True)
-                if rc != 0:
-                   raise InfoException("xend needs to be started")
+                if os.path.exists("/usr/sbin/xend"):
+                    # xend running?
+                    rc = sub_process.call("/usr/sbin/xend status", stderr=None, stdout=None, shell=True)
+                    if rc != 0:
+                       raise InfoException("xend needs to be started")
+                else:
+                    print "xend not found - expecting libxenlight"
 
             # for qemu
             if self.virt_type in [ "qemu", "kvm" ]: